      subroutine etsdktp(coor,fomega,be)
C ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C BUT   : CALCUL DES SECONDS MEMBRES DE L ELEMENT DE PLAQUE
C ---     TRIA-DKTP (J.L. BATOZ).
c in : coor(noe,ndim) : coordonees des 3 sommets.
C      FOMEGA(3): Fz  surfaciques aux sommets 1 , 2, 3.
C out: BE(9) LES  SECONDS MEMBRES ELEMENTAIRES.
c
c  programmeur : modulef
c ...............................................................
      IMPLICIT NONE
      DOUBLE PRECISION coor(3,2),fomega(3),BE(9),X23,X31,X12,
     +                 Y23,Y31,Y12,DELTA,D
C
      X23    = coor(2,1) - coor(3,1)
      Y23    = coor(2,2) - coor(3,2)
      X31    = coor(3,1) - coor(1,1)
      Y31    = coor(3,2) - coor(1,2)
      X12    = coor(1,1) - coor(2,1)
      Y12    = coor(1,2) - coor(2,2)
      DELTA  = X31 * Y12 - X12 * Y31
      D       = DELTA/6.D0
      BE(1) = FOMEGA(1) * D
      BE(2) = 0.D0
      BE(3) = 0.D0
      BE(4) = FOMEGA(2) * D
      BE(5) = 0.D0
      BE(6) = 0.D0
      BE(7) = FOMEGA(3) * D
      BE(8) = 0.D0
      BE(9) = 0.D0
      END
